#include "ListaDeFigurasPolim.h"

// Construtor: zera o total de objetos armazenados
ListaDeFigurasPolim::ListaDeFigurasPolim() {
    total = 0;
}

// Tenta adicionar um objeto ao vetor de ponteiros
// de objetos. Retorna imediatamente se não houver
// espaço
void ListaDeFigurasPolim::add(Figura *f) {
    if(total == MAX) return;
    figuras[total++] = f;
}

// Desenha todos os objetos armazenados no vetor
// (ou seja, solicita para cada objeto se desenhar)
void ListaDeFigurasPolim::drawAll() {

    for(int i=0; i < total; ++i)
        figuras[i]->draw();
}

